Bug 71511 - gnome-session starts things a million times
gnome-session starts things a million times
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gnome-session (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-08-14 12:11 EDT by Jay Turner
Modified: 2015-01-07 18:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-08 00:07:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2002-08-14 12:11:52 EDT
Description of Problem:
Don't even know where to start in chasing this down, but here's what's going on.
 I have gnome-session-2.0.5-2 installed.  I log into X as a non-root user via
GDM and open a terminal window.  I then type 'gnome-session-save' and get told
that the session was saved successfully.  So, I log out of X and then back in as
the same user.  Everything starts up fine, but I start getting these dialog
boxes which state "I've detected a panel already running, and will now exit." If
I click "OK" things appear to work just fine.  If you log out and back in,
instead of a single prompt, you will get something like 10 in a row.  Another
interesting thing that I noticed is that if you watch as GNOME is starting up
(and the little icons are going across the bottom showing which parts are
starting up) you will see many, many metacity processes starting up.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Mike McLean 2002-08-14 12:17:28 EDT
reproduced on several machines with current trees.
Comment 2 Mike McLean 2002-08-14 18:22:19 EDT
I'm not seeing this with gnome-session-2.0.5-3.
Comment 3 Havoc Pennington 2002-08-14 18:31:24 EDT
All -3 did though was add rhn applet to the session - so probably it just
happened to go away coincindentally...
Comment 4 Havoc Pennington 2003-01-08 00:07:41 EST
I haven't seen other reports vs. 8.0, so I'm hoping we can write this off as 
mysterious cosmic rays. Reopen if anyone sees it again.

Note You need to log in before you can comment on or make changes to this bug.